package com.huatek.busi.service;

import com.huatek.busi.entity.*;

import java.text.ParseException;
import java.util.List;

public interface GisNumberService {


    /**
     * GIS断路器状态
     */
    List<GisStatus> findGisStatus();

    List<GisStatus> selectTotalGisList();

    /**
     * GIS故障,在线,总数查询
     */
    EquipmentSumNumber findSumGisNumber() throws Exception;

    /**
     * GIS所有状态
     */
    List<GisStatus> findAllGisStatus();

    GisIU findGisUI(String gisId);

    int findGisNumber() throws Exception;

    /**
     * 从缓存查询Gis在线率
     *
     * @param mainEquipmentId
     * @return
     */
    List<EquipmentSensorCache> findGisSensorNumber(String mainEquipmentId);

    EquipmentSumSensorCache findSumGisSensorNumber();
}
